Bug 798773 - F17 Globus gss assist fails against openssl 1.0.1beta2, tls versions.
F17 Globus gss assist fails against openssl 1.0.1beta2, tls versions.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: globus-gss-assist (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 15:06 EST by Steve Traylen
Modified: 2012-06-30 21:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: globus-authz-2.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of myproxy-server refusing a authenticate. (165.06 KB, text/plain)
2012-02-29 15:06 EST, Steve Traylen
no flags Details

  None (edit)
Description Steve Traylen 2012-02-29 15:06:47 EST
Created attachment 566629 [details]
strace of myproxy-server refusing a authenticate.

Description of problem:

MyProxy packages built previously in Fedora 17 that used to work
have stopped working with an 'Authentication Error'.

Version-Release number of selected component (if applicable):
myproxy-server-5.5-3.fc17.x86_64
myproxy-libs-5.5-3.fc17.x86_64
myproxy-5.5-3.fc17.x86_64

on Fedora 17

How reproducible:
Everytime

Steps to Reproduce:
1. Install fedora17 (non-trivial)
2. yum install myproxy myproxy-server
Results in 
myproxy-server-5.5-3.fc17.x86_64
myproxy-libs-5.5-3.fc17.x86_64
myproxy-5.5-3.fc17.x86_64

being installed.
3. Set up host certs and  /etc/grid-security and  CAs /etc/grid-security/certificates
4. Edit /etc/myproxy-server.conf to allow connections freely
accepted_credentials       "*"
authorized_retrievers      "*"
default_retrievers         "*"
authorized_renewers        "*"
default_renewers           "none"
authorized_key_retrievers  "*"
default_key_retrievers     "none"
trusted_retrievers         "*"
default_trusted_retrievers "none"
cert_dir /etc/grid-security/certificates
  
5. Start the deamon
# /usr/sbin/myproxy-server -v -d -s /tmp/myproxy
myproxy-server v5.5 5 Sep 2011 PAM SASL KRB5 LDAP VOMS OCSP starting at Wed Feb 29 21:36:42 2012 
reading configuration file /etc/myproxy-server.config
allow_voms_attribute_requests is not set.
VOMS attribute requests will be ignored.
Processing usage_stats_target (usage-stats.cilogon.org:4810) 
usage_stats: initialized (usage-stats.cilogon.org:4810) (VvtrlLB)
Using Host cert file (/etc/grid-security/hostcert.pem), key file (/etc/grid-security/hostkey.pem)
Starting myproxy-server on localhost:7512...

6. Upload a credential

$ myproxy-init -v -d  -s fedup.cern.ch
MyProxy v5.5 5 Sep 2011 PAM SASL KRB5 LDAP VOMS OCSP
Attempting to connect to 137.138.238.176:7512 
Successfully connected to fedup.cern.ch:7512 

User Cert File: /home/steve/.globus/usercert.pem
User Key File: /home/steve/.globus/userkey.pem

Trusted CA Cert Dir: /etc/grid-security/certificates

Output File: /tmp/myproxy-proxy.1000.2026
Your identity: /DC=ch/DC=cern/OU=Organic Units/OU=Users/CN=straylen/CN=613539/CN=Steve Traylen
Enter GRID pass phrase for this identity:
Creating proxy ............................................+++
......................+++
 Done
Proxy Verify OK
Your proxy is valid until: Wed Mar  7 21:37:55 2012
using trusted certificates directory /etc/grid-security/certificates
Using Proxy file (/tmp/myproxy-proxy.1000.2026)
Error authenticating: Connection closed.



Actual results:
Your proxy is valid until: Wed Mar  7 21:37:55 2012
using trusted certificates directory /etc/grid-security/certificates
Using Proxy file (/tmp/myproxy-proxy.1000.2026)
Error authenticating: Connection closed.

and server

Error authenticating client: Connection closed. 
Exiting: authentication failed

(with -d the server runs in foreground and is expected to exit, when run as a daemon
 it continues to run but same auth result.)

Expected results:

myprox-init should work with this configuration.

Additional info:

The %check section of myproxy.spec can pick this up:

1. yumdownloader --source myproxy
2. ./rpmbuild --rebuild ./myproxy-5.5-3.fc17.src.rpm

results in %check failing with the same result:

Error authenticating: Connection closed.
Skipping remaining tests.
MyProxy Tests Complete: 0 tests passed, 1 tests failed
error: Bad exit status from /var/tmp/rpm-tmp.Z3YnJg (%check)

However this exact package built as is on 2nd February
http://koji.fedoraproject.org/koji/buildinfo?buildID=297073
in particular the build logs show the successful test run.

http://kojipkgs.fedoraproject.org/packages/myproxy/5.5/3.fc17/data/logs/x86_64/build.log

The obvious assumption is that something else changed within the OS that caused 
this. 

Provides a list of the packages use for the successful build and test.
http://kojipkgs.fedoraproject.org/packages/myproxy/5.5/3.fc17/data/logs/x86_64/root.log

There have been a few changes recently gcc 4.7, globus 5.2 however both these happened 
before the 2nd February build.

More over this package builds and checks fine on Fedora 16 which also has the
globus 5.2 release.

An strace of the failing server is attached as out.txt.

Fedora 17 is currently not even alpha and fixes are ongoing it seems for
gcc and c++ code.
Comment 1 Jim Basney 2012-02-29 16:22:54 EST
Steve, your failing myproxy-server strace has:
    read(9, "\26\3\3\0", 4)                 = 4
    close(9)                                = 0
whereas my successful myproxy-server strace has:
    read(9, "\26\3\1\0", 4)                 = 4
    read(9, "k", 1)                         = 1
This is globus_gss_assist_token_get_fd() reading the TLS record.
In my case it sees 
ProtocolVersion = { 3, 1 } /* TLS v1.0 */
and in your case it sees
ProtocolVersion = { 3, 3 } /* TLS v1.2 */
which it doesn't recognize, so it aborts.
We need to get globus_gss_assist_token_get_fd() updated to support newer TLS versions now that OpenSSL supports them.
I'll report it to bugzilla.globus.org.
Comment 2 Jim Basney 2012-02-29 16:34:54 EST
(In reply to comment #1)
> I'll report it to bugzilla.globus.org.

My upstream bug report is here:
https://bugzilla.mcs.anl.gov/globus/show_bug.cgi?id=7246
Comment 3 Steve Traylen 2012-02-29 16:43:32 EST
Many thanks,

Update is from:

 openssl.x86_64 0:1.0.0g-1.fc17                                                
 openssl.x86_64 0:1.0.1-0.1.beta2.fc17    

...


And passing on to  Mattias.
Comment 4 Tomas Mraz 2012-02-29 18:14:12 EST
I've reverted openssl to 1.0.0g in Fedora 17, however the issue still has to be solved in globus in Rawhide for Fedora 18.
Comment 5 Steve Traylen 2012-03-01 16:30:11 EST
Hi tomas,

Thanks for that, i confirm all is good with the reverted to 1.0.0g on f17.

Steve.
Comment 6 Fedora Update System 2012-05-01 18:35:16 EDT
globus-authz-2.2-1.fc16,globus-authz-callout-error-2.2-1.fc16,globus-callout-2.2-1.fc16,globus-common-14.6-1.fc16,globus-core-8.8-1.fc16,globus-ftp-client-7.3-1.fc16,globus-ftp-control-4.4-1.fc16,globus-gass-cache-program-5.1-1.fc16,globus-gass-copy-8.4-1.fc16,globus-gass-server-ez-4.3-1.fc16,globus-gass-transfer-7.2-1.fc16,globus-gatekeeper-9.11-1.fc16,globus-gfork-3.2-1.fc16,globus-gram-client-12.4-1.fc16,globus-gram-client-tools-10.3-1.fc16,globus-gram-job-manager-13.33-1.fc16,globus-gram-job-manager-condor-1.3-1.fc16,globus-gram-protocol-11.3-1.fc16,globus-gridftp-server-6.10-1.fc16,globus-gridftp-server-control-2.5-1.fc16,globus-gsi-callback-4.2-1.fc16,globus-gsi-cert-utils-8.3-1.fc16,globus-gsi-credential-5.3-1.fc16,globus-gsi-proxy-core-6.2-1.fc16,globus-gsi-sysconfig-5.2-1.fc16,globus-gssapi-gsi-10.6-1.fc16,globus-gss-assist-8.5-1.fc16,globus-io-9.3-1.fc16,globus-openssl-module-3.2-1.fc16,globus-scheduler-event-generator-4.6-1.fc16,globus-xio-3.3-1.fc16,globus-xio-gsi-driver-2.3-1.fc16,globus-xioperf-3.1-1.fc16,globus-xio-pipe-driver-2.2-1.fc16,globus-xio-popen-driver-2.3-1.fc16,grid-packaging-tools-3.6.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/globus-authz-2.2-1.fc16,globus-authz-callout-error-2.2-1.fc16,globus-callout-2.2-1.fc16,globus-common-14.6-1.fc16,globus-core-8.8-1.fc16,globus-ftp-client-7.3-1.fc16,globus-ftp-control-4.4-1.fc16,globus-gass-cache-program-5.1-1.fc16,globus-gass-copy-8.4-1.fc16,globus-gass-server-ez-4.3-1.fc16,globus-gass-transfer-7.2-1.fc16,globus-gatekeeper-9.11-1.fc16,globus-gfork-3.2-1.fc16,globus-gram-client-12.4-1.fc16,globus-gram-client-tools-10.3-1.fc16,globus-gram-job-manager-13.33-1.fc16,globus-gram-job-manager-condor-1.3-1.fc16,globus-gram-protocol-11.3-1.fc16,globus-gridftp-server-6.10-1.fc16,globus-gridftp-server-control-2.5-1.fc16,globus-gsi-callback-4.2-1.fc16,globus-gsi-cert-utils-8.3-1.fc16,globus-gsi-credential-5.3-1.fc16,globus-gsi-proxy-core-6.2-1.fc16,globus-gsi-sysconfig-5.2-1.fc16,globus-gssapi-gsi-10.6-1.fc16,globus-gss-assist-8.5-1.fc16,globus-io-9.3-1.fc16,globus-openssl-module-3.2-1.fc16,globus-scheduler-event-generator-4.6-1.fc16,globus-xio-3.3-1.fc16,globus-xio-gsi-driver-2.3-1.fc16,globus-xioperf-3.1-1.fc16,globus-xio-pipe-driver-2.2-1.fc16,globus-xio-popen-driver-2.3-1.fc16,grid-packaging-tools-3.6.2-1.fc16
Comment 7 Fedora Update System 2012-05-01 18:38:06 EDT
globus-authz-2.2-1.fc17,globus-authz-callout-error-2.2-1.fc17,globus-callout-2.2-1.fc17,globus-common-14.6-1.fc17,globus-core-8.8-1.fc17,globus-ftp-client-7.3-1.fc17,globus-ftp-control-4.4-1.fc17,globus-gass-cache-program-5.1-1.fc17,globus-gass-copy-8.4-1.fc17,globus-gass-server-ez-4.3-1.fc17,globus-gass-transfer-7.2-1.fc17,globus-gatekeeper-9.11-1.fc17,globus-gfork-3.2-1.fc17,globus-gram-client-12.4-1.fc17,globus-gram-client-tools-10.3-1.fc17,globus-gram-job-manager-13.33-1.fc17,globus-gram-job-manager-condor-1.3-1.fc17,globus-gram-protocol-11.3-1.fc17,globus-gridftp-server-6.10-1.fc17,globus-gridftp-server-control-2.5-1.fc17,globus-gsi-callback-4.2-1.fc17,globus-gsi-cert-utils-8.3-1.fc17,globus-gsi-credential-5.3-1.fc17,globus-gsi-proxy-core-6.2-1.fc17,globus-gsi-sysconfig-5.2-1.fc17,globus-gssapi-gsi-10.6-1.fc17,globus-gss-assist-8.5-1.fc17,globus-io-9.3-1.fc17,globus-openssl-module-3.2-1.fc17,globus-scheduler-event-generator-4.6-1.fc17,globus-xio-3.3-1.fc17,globus-xio-gsi-driver-2.3-1.fc17,globus-xioperf-3.1-1.fc17,globus-xio-pipe-driver-2.2-1.fc17,globus-xio-popen-driver-2.3-1.fc17,grid-packaging-tools-3.6.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/globus-authz-2.2-1.fc17,globus-authz-callout-error-2.2-1.fc17,globus-callout-2.2-1.fc17,globus-common-14.6-1.fc17,globus-core-8.8-1.fc17,globus-ftp-client-7.3-1.fc17,globus-ftp-control-4.4-1.fc17,globus-gass-cache-program-5.1-1.fc17,globus-gass-copy-8.4-1.fc17,globus-gass-server-ez-4.3-1.fc17,globus-gass-transfer-7.2-1.fc17,globus-gatekeeper-9.11-1.fc17,globus-gfork-3.2-1.fc17,globus-gram-client-12.4-1.fc17,globus-gram-client-tools-10.3-1.fc17,globus-gram-job-manager-13.33-1.fc17,globus-gram-job-manager-condor-1.3-1.fc17,globus-gram-protocol-11.3-1.fc17,globus-gridftp-server-6.10-1.fc17,globus-gridftp-server-control-2.5-1.fc17,globus-gsi-callback-4.2-1.fc17,globus-gsi-cert-utils-8.3-1.fc17,globus-gsi-credential-5.3-1.fc17,globus-gsi-proxy-core-6.2-1.fc17,globus-gsi-sysconfig-5.2-1.fc17,globus-gssapi-gsi-10.6-1.fc17,globus-gss-assist-8.5-1.fc17,globus-io-9.3-1.fc17,globus-openssl-module-3.2-1.fc17,globus-scheduler-event-generator-4.6-1.fc17,globus-xio-3.3-1.fc17,globus-xio-gsi-driver-2.3-1.fc17,globus-xioperf-3.1-1.fc17,globus-xio-pipe-driver-2.2-1.fc17,globus-xio-popen-driver-2.3-1.fc17,grid-packaging-tools-3.6.2-1.fc17
Comment 8 Fedora Update System 2012-05-01 18:40:58 EDT
globus-authz-2.2-1.el5,globus-authz-callout-error-2.2-1.el5,globus-callout-2.2-1.el5,globus-common-14.6-1.el5,globus-core-8.8-1.el5,globus-ftp-client-7.3-1.el5,globus-ftp-control-4.4-1.el5,globus-gass-cache-program-5.1-1.el5,globus-gass-copy-8.4-1.el5,globus-gass-server-ez-4.3-1.el5,globus-gass-transfer-7.2-1.el5,globus-gatekeeper-9.11-1.el5,globus-gfork-3.2-1.el5,globus-gram-client-12.4-1.el5,globus-gram-client-tools-10.3-1.el5,globus-gram-job-manager-13.33-1.el5,globus-gram-job-manager-condor-1.3-1.el5,globus-gram-protocol-11.3-1.el5,globus-gridftp-server-6.10-1.el5,globus-gridftp-server-control-2.5-1.el5,globus-gsi-callback-4.2-1.el5,globus-gsi-cert-utils-8.3-1.el5,globus-gsi-credential-5.3-1.el5,globus-gsi-proxy-core-6.2-1.el5,globus-gsi-sysconfig-5.2-1.el5,globus-gssapi-gsi-10.6-1.el5,globus-gss-assist-8.5-1.el5,globus-io-9.3-1.el5,globus-openssl-module-3.2-1.el5,globus-scheduler-event-generator-4.6-1.el5,globus-xio-3.3-1.el5,globus-xio-gsi-driver-2.3-1.el5,globus-xioperf-3.1-1.el5,globus-xio-pipe-driver-2.2-1.el5,globus-xio-popen-driver-2.3-1.el5,grid-packaging-tools-3.6.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/globus-authz-2.2-1.el5,globus-authz-callout-error-2.2-1.el5,globus-callout-2.2-1.el5,globus-common-14.6-1.el5,globus-core-8.8-1.el5,globus-ftp-client-7.3-1.el5,globus-ftp-control-4.4-1.el5,globus-gass-cache-program-5.1-1.el5,globus-gass-copy-8.4-1.el5,globus-gass-server-ez-4.3-1.el5,globus-gass-transfer-7.2-1.el5,globus-gatekeeper-9.11-1.el5,globus-gfork-3.2-1.el5,globus-gram-client-12.4-1.el5,globus-gram-client-tools-10.3-1.el5,globus-gram-job-manager-13.33-1.el5,globus-gram-job-manager-condor-1.3-1.el5,globus-gram-protocol-11.3-1.el5,globus-gridftp-server-6.10-1.el5,globus-gridftp-server-control-2.5-1.el5,globus-gsi-callback-4.2-1.el5,globus-gsi-cert-utils-8.3-1.el5,globus-gsi-credential-5.3-1.el5,globus-gsi-proxy-core-6.2-1.el5,globus-gsi-sysconfig-5.2-1.el5,globus-gssapi-gsi-10.6-1.el5,globus-gss-assist-8.5-1.el5,globus-io-9.3-1.el5,globus-openssl-module-3.2-1.el5,globus-scheduler-event-generator-4.6-1.el5,globus-xio-3.3-1.el5,globus-xio-gsi-driver-2.3-1.el5,globus-xioperf-3.1-1.el5,globus-xio-pipe-driver-2.2-1.el5,globus-xio-popen-driver-2.3-1.el5,grid-packaging-tools-3.6.2-1.el5
Comment 9 Fedora Update System 2012-05-01 18:43:43 EDT
globus-authz-2.2-1.fc15,globus-authz-callout-error-2.2-1.fc15,globus-callout-2.2-1.fc15,globus-common-14.6-1.fc15,globus-core-8.8-1.fc15,globus-ftp-client-7.3-1.fc15,globus-ftp-control-4.4-1.fc15,globus-gass-cache-program-5.1-1.fc15,globus-gass-copy-8.4-1.fc15,globus-gass-server-ez-4.3-1.fc15,globus-gass-transfer-7.2-1.fc15,globus-gatekeeper-9.11-1.fc15,globus-gfork-3.2-1.fc15,globus-gram-client-12.4-1.fc15,globus-gram-client-tools-10.3-1.fc15,globus-gram-job-manager-13.33-1.fc15,globus-gram-job-manager-condor-1.3-1.fc15,globus-gram-protocol-11.3-1.fc15,globus-gridftp-server-6.10-1.fc15,globus-gridftp-server-control-2.5-1.fc15,globus-gsi-callback-4.2-1.fc15,globus-gsi-cert-utils-8.3-1.fc15,globus-gsi-credential-5.3-1.fc15,globus-gsi-proxy-core-6.2-1.fc15,globus-gsi-sysconfig-5.2-1.fc15,globus-gssapi-gsi-10.6-1.fc15,globus-gss-assist-8.5-1.fc15,globus-io-9.3-1.fc15,globus-openssl-module-3.2-1.fc15,globus-scheduler-event-generator-4.6-1.fc15,globus-xio-3.3-1.fc15,globus-xio-gsi-driver-2.3-1.fc15,globus-xioperf-3.1-1.fc15,globus-xio-pipe-driver-2.2-1.fc15,globus-xio-popen-driver-2.3-1.fc15,grid-packaging-tools-3.6.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/globus-authz-2.2-1.fc15,globus-authz-callout-error-2.2-1.fc15,globus-callout-2.2-1.fc15,globus-common-14.6-1.fc15,globus-core-8.8-1.fc15,globus-ftp-client-7.3-1.fc15,globus-ftp-control-4.4-1.fc15,globus-gass-cache-program-5.1-1.fc15,globus-gass-copy-8.4-1.fc15,globus-gass-server-ez-4.3-1.fc15,globus-gass-transfer-7.2-1.fc15,globus-gatekeeper-9.11-1.fc15,globus-gfork-3.2-1.fc15,globus-gram-client-12.4-1.fc15,globus-gram-client-tools-10.3-1.fc15,globus-gram-job-manager-13.33-1.fc15,globus-gram-job-manager-condor-1.3-1.fc15,globus-gram-protocol-11.3-1.fc15,globus-gridftp-server-6.10-1.fc15,globus-gridftp-server-control-2.5-1.fc15,globus-gsi-callback-4.2-1.fc15,globus-gsi-cert-utils-8.3-1.fc15,globus-gsi-credential-5.3-1.fc15,globus-gsi-proxy-core-6.2-1.fc15,globus-gsi-sysconfig-5.2-1.fc15,globus-gssapi-gsi-10.6-1.fc15,globus-gss-assist-8.5-1.fc15,globus-io-9.3-1.fc15,globus-openssl-module-3.2-1.fc15,globus-scheduler-event-generator-4.6-1.fc15,globus-xio-3.3-1.fc15,globus-xio-gsi-driver-2.3-1.fc15,globus-xioperf-3.1-1.fc15,globus-xio-pipe-driver-2.2-1.fc15,globus-xio-popen-driver-2.3-1.fc15,grid-packaging-tools-3.6.2-1.fc15
Comment 10 Fedora Update System 2012-05-01 18:47:35 EDT
globus-authz-2.2-1.el6,globus-authz-callout-error-2.2-1.el6,globus-callout-2.2-1.el6,globus-common-14.6-1.el6,globus-core-8.8-1.el6,globus-ftp-client-7.3-1.el6,globus-ftp-control-4.4-1.el6,globus-gass-cache-program-5.1-1.el6,globus-gass-copy-8.4-1.el6,globus-gass-server-ez-4.3-1.el6,globus-gass-transfer-7.2-1.el6,globus-gatekeeper-9.11-1.el6,globus-gfork-3.2-1.el6,globus-gram-client-12.4-1.el6,globus-gram-client-tools-10.3-1.el6,globus-gram-job-manager-13.33-1.el6,globus-gram-job-manager-condor-1.3-1.el6,globus-gram-protocol-11.3-1.el6,globus-gridftp-server-6.10-1.el6,globus-gridftp-server-control-2.5-1.el6,globus-gsi-callback-4.2-1.el6,globus-gsi-cert-utils-8.3-1.el6,globus-gsi-credential-5.3-1.el6,globus-gsi-proxy-core-6.2-1.el6,globus-gsi-sysconfig-5.2-1.el6,globus-gssapi-gsi-10.6-1.el6,globus-gss-assist-8.5-1.el6,globus-io-9.3-1.el6,globus-openssl-module-3.2-1.el6,globus-scheduler-event-generator-4.6-1.el6,globus-xio-3.3-1.el6,globus-xio-gsi-driver-2.3-1.el6,globus-xioperf-3.1-1.el6,globus-xio-pipe-driver-2.2-1.el6,globus-xio-popen-driver-2.3-1.el6,grid-packaging-tools-3.6.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/globus-authz-2.2-1.el6,globus-authz-callout-error-2.2-1.el6,globus-callout-2.2-1.el6,globus-common-14.6-1.el6,globus-core-8.8-1.el6,globus-ftp-client-7.3-1.el6,globus-ftp-control-4.4-1.el6,globus-gass-cache-program-5.1-1.el6,globus-gass-copy-8.4-1.el6,globus-gass-server-ez-4.3-1.el6,globus-gass-transfer-7.2-1.el6,globus-gatekeeper-9.11-1.el6,globus-gfork-3.2-1.el6,globus-gram-client-12.4-1.el6,globus-gram-client-tools-10.3-1.el6,globus-gram-job-manager-13.33-1.el6,globus-gram-job-manager-condor-1.3-1.el6,globus-gram-protocol-11.3-1.el6,globus-gridftp-server-6.10-1.el6,globus-gridftp-server-control-2.5-1.el6,globus-gsi-callback-4.2-1.el6,globus-gsi-cert-utils-8.3-1.el6,globus-gsi-credential-5.3-1.el6,globus-gsi-proxy-core-6.2-1.el6,globus-gsi-sysconfig-5.2-1.el6,globus-gssapi-gsi-10.6-1.el6,globus-gss-assist-8.5-1.el6,globus-io-9.3-1.el6,globus-openssl-module-3.2-1.el6,globus-scheduler-event-generator-4.6-1.el6,globus-xio-3.3-1.el6,globus-xio-gsi-driver-2.3-1.el6,globus-xioperf-3.1-1.el6,globus-xio-pipe-driver-2.2-1.el6,globus-xio-popen-driver-2.3-1.el6,grid-packaging-tools-3.6.2-1.el6
Comment 11 Fedora Update System 2012-05-02 16:30:27 EDT
Package globus-authz-2.2-1.fc17, globus-authz-callout-error-2.2-1.fc17, globus-callout-2.2-1.fc17, globus-common-14.6-1.fc17, globus-core-8.8-1.fc17, globus-ftp-client-7.3-1.fc17, globus-ftp-control-4.4-1.fc17, globus-gass-cache-program-5.1-1.fc17, globus-gass-copy-8.4-1.fc17, globus-gass-server-ez-4.3-1.fc17, globus-gass-transfer-7.2-1.fc17, globus-gatekeeper-9.11-1.fc17, globus-gfork-3.2-1.fc17, globus-gram-client-12.4-1.fc17, globus-gram-client-tools-10.3-1.fc17, globus-gram-job-manager-13.33-1.fc17, globus-gram-job-manager-condor-1.3-1.fc17, globus-gram-protocol-11.3-1.fc17, globus-gridftp-server-6.10-1.fc17, globus-gridftp-server-control-2.5-1.fc17, globus-gsi-callback-4.2-1.fc17, globus-gsi-cert-utils-8.3-1.fc17, globus-gsi-credential-5.3-1.fc17, globus-gsi-proxy-core-6.2-1.fc17, globus-gsi-sysconfig-5.2-1.fc17, globus-gssapi-gsi-10.6-1.fc17, globus-gss-assist-8.5-1.fc17, globus-io-9.3-1.fc17, globus-openssl-module-3.2-1.fc17, globus-scheduler-event-generator-4.6-1.fc17, globus-xio-3.3-1.fc17, globus-xio-gsi-driver-2.3-1.fc17, globus-xioperf-3.1-1.fc17, globus-xio-pipe-driver-2.2-1.fc17, globus-xio-popen-driver-2.3-1.fc17, grid-packaging-tools-3.6.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing globus-authz-2.2-1.fc17 globus-authz-callout-error-2.2-1.fc17 globus-callout-2.2-1.fc17 globus-common-14.6-1.fc17 globus-core-8.8-1.fc17 globus-ftp-client-7.3-1.fc17 globus-ftp-control-4.4-1.fc17 globus-gass-cache-program-5.1-1.fc17 globus-gass-copy-8.4-1.fc17 globus-gass-server-ez-4.3-1.fc17 globus-gass-transfer-7.2-1.fc17 globus-gatekeeper-9.11-1.fc17 globus-gfork-3.2-1.fc17 globus-gram-client-12.4-1.fc17 globus-gram-client-tools-10.3-1.fc17 globus-gram-job-manager-13.33-1.fc17 globus-gram-job-manager-condor-1.3-1.fc17 globus-gram-protocol-11.3-1.fc17 globus-gridftp-server-6.10-1.fc17 globus-gridftp-server-control-2.5-1.fc17 globus-gsi-callback-4.2-1.fc17 globus-gsi-cert-utils-8.3-1.fc17 globus-gsi-credential-5.3-1.fc17 globus-gsi-proxy-core-6.2-1.fc17 globus-gsi-sysconfig-5.2-1.fc17 globus-gssapi-gsi-10.6-1.fc17 globus-gss-assist-8.5-1.fc17 globus-io-9.3-1.fc17 globus-openssl-module-3.2-1.fc17 globus-scheduler-event-generator-4.6-1.fc17 globus-xio-3.3-1.fc17 globus-xio-gsi-driver-2.3-1.fc17 globus-xioperf-3.1-1.fc17 globus-xio-pipe-driver-2.2-1.fc17 globus-xio-popen-driver-2.3-1.fc17 grid-packaging-tools-3.6.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7055/globus-authz-2.2-1.fc17,globus-authz-callout-error-2.2-1.fc17,globus-callout-2.2-1.fc17,globus-common-14.6-1.fc17,globus-core-8.8-1.fc17,globus-ftp-client-7.3-1.fc17,globus-ftp-control-4.4-1.fc17,globus-gass-cache-program-5.1-1.fc17,globus-gass-copy-8.4-1.fc17,globus-gass-server-ez-4.3-1.fc17,globus-gass-transfer-7.2-1.fc17,globus-gatekeeper-9.11-1.fc17,globus-gfork-3.2-1.fc17,globus-gram-client-12.4-1.fc17,globus-gram-client-tools-10.3-1.fc17,globus-gram-job-manager-13.33-1.fc17,globus-gram-job-manager-condor-1.3-1.fc17,globus-gram-protocol-11.3-1.fc17,globus-gridftp-server-6.10-1.fc17,globus-gridftp-server-control-2.5-1.fc17,globus-gsi-callback-4.2-1.fc17,globus-gsi-cert-utils-8.3-1.fc17,globus-gsi-credential-5.3-1.fc17,globus-gsi-proxy-core-6.2-1.fc17,globus-gsi-sysconfig-5.2-1.fc17,globus-gssapi-gsi-10.6-1.fc17,globus-gss-assist-8.5-1.fc17,globus-io-9.3-1.fc17,globus-openssl-module-3.2-1.fc17,globus-scheduler-event-generator-4.6-1.fc17,globus-xio-3.3-1.fc17,globus-xio-gsi-driver-2.3-1.fc17,globus-xioperf-3.1-1.fc17,globus-xio-pipe-driver-2.2-1.fc17,globus-xio-popen-driver-2.3-1.fc17,grid-packaging-tools-3.6.2-1.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-05-14 13:24:15 EDT
globus-authz-2.2-1.fc16, globus-authz-callout-error-2.2-1.fc16, globus-callout-2.2-1.fc16, globus-common-14.6-1.fc16, globus-core-8.8-1.fc16, globus-ftp-client-7.3-1.fc16, globus-ftp-control-4.4-1.fc16, globus-gass-cache-program-5.1-1.fc16, globus-gass-copy-8.4-1.fc16, globus-gass-server-ez-4.3-1.fc16, globus-gass-transfer-7.2-1.fc16, globus-gatekeeper-9.11-1.fc16, globus-gfork-3.2-1.fc16, globus-gram-client-12.4-1.fc16, globus-gram-client-tools-10.3-1.fc16, globus-gram-job-manager-13.33-1.fc16, globus-gram-job-manager-condor-1.3-1.fc16, globus-gram-protocol-11.3-1.fc16, globus-gridftp-server-6.10-1.fc16, globus-gridftp-server-control-2.5-1.fc16, globus-gsi-callback-4.2-1.fc16, globus-gsi-cert-utils-8.3-1.fc16, globus-gsi-credential-5.3-1.fc16, globus-gsi-proxy-core-6.2-1.fc16, globus-gsi-sysconfig-5.2-1.fc16, globus-gssapi-gsi-10.6-1.fc16, globus-gss-assist-8.5-1.fc16, globus-io-9.3-1.fc16, globus-openssl-module-3.2-1.fc16, globus-scheduler-event-generator-4.6-1.fc16, globus-xio-3.3-1.fc16, globus-xio-gsi-driver-2.3-1.fc16, globus-xioperf-3.1-1.fc16, globus-xio-pipe-driver-2.2-1.fc16, globus-xio-popen-driver-2.3-1.fc16, grid-packaging-tools-3.6.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-05-14 13:28:14 EDT
globus-authz-2.2-1.fc15, globus-authz-callout-error-2.2-1.fc15, globus-callout-2.2-1.fc15, globus-common-14.6-1.fc15, globus-core-8.8-1.fc15, globus-ftp-client-7.3-1.fc15, globus-ftp-control-4.4-1.fc15, globus-gass-cache-program-5.1-1.fc15, globus-gass-copy-8.4-1.fc15, globus-gass-server-ez-4.3-1.fc15, globus-gass-transfer-7.2-1.fc15, globus-gatekeeper-9.11-1.fc15, globus-gfork-3.2-1.fc15, globus-gram-client-12.4-1.fc15, globus-gram-client-tools-10.3-1.fc15, globus-gram-job-manager-13.33-1.fc15, globus-gram-job-manager-condor-1.3-1.fc15, globus-gram-protocol-11.3-1.fc15, globus-gridftp-server-6.10-1.fc15, globus-gridftp-server-control-2.5-1.fc15, globus-gsi-callback-4.2-1.fc15, globus-gsi-cert-utils-8.3-1.fc15, globus-gsi-credential-5.3-1.fc15, globus-gsi-proxy-core-6.2-1.fc15, globus-gsi-sysconfig-5.2-1.fc15, globus-gssapi-gsi-10.6-1.fc15, globus-gss-assist-8.5-1.fc15, globus-io-9.3-1.fc15, globus-openssl-module-3.2-1.fc15, globus-scheduler-event-generator-4.6-1.fc15, globus-xio-3.3-1.fc15, globus-xio-gsi-driver-2.3-1.fc15, globus-xioperf-3.1-1.fc15, globus-xio-pipe-driver-2.2-1.fc15, globus-xio-popen-driver-2.3-1.fc15, grid-packaging-tools-3.6.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-05-26 03:18:06 EDT
globus-authz-2.2-1.fc17, globus-authz-callout-error-2.2-1.fc17, globus-callout-2.2-1.fc17, globus-common-14.6-1.fc17, globus-core-8.8-1.fc17, globus-ftp-client-7.3-1.fc17, globus-ftp-control-4.4-1.fc17, globus-gass-cache-program-5.1-1.fc17, globus-gass-copy-8.4-1.fc17, globus-gass-server-ez-4.3-1.fc17, globus-gass-transfer-7.2-1.fc17, globus-gatekeeper-9.11-1.fc17, globus-gfork-3.2-1.fc17, globus-gram-client-12.4-1.fc17, globus-gram-client-tools-10.3-1.fc17, globus-gram-job-manager-13.33-1.fc17, globus-gram-job-manager-condor-1.3-1.fc17, globus-gram-protocol-11.3-1.fc17, globus-gridftp-server-6.10-1.fc17, globus-gridftp-server-control-2.5-1.fc17, globus-gsi-callback-4.2-1.fc17, globus-gsi-cert-utils-8.3-1.fc17, globus-gsi-credential-5.3-1.fc17, globus-gsi-proxy-core-6.2-1.fc17, globus-gsi-sysconfig-5.2-1.fc17, globus-gssapi-gsi-10.6-1.fc17, globus-gss-assist-8.5-1.fc17, globus-io-9.3-1.fc17, globus-openssl-module-3.2-1.fc17, globus-scheduler-event-generator-4.6-1.fc17, globus-xio-3.3-1.fc17, globus-xio-gsi-driver-2.3-1.fc17, globus-xioperf-3.1-1.fc17, globus-xio-pipe-driver-2.2-1.fc17, globus-xio-popen-driver-2.3-1.fc17, grid-packaging-tools-3.6.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-06-30 21:29:52 EDT
globus-authz-2.2-1.el5, globus-authz-callout-error-2.2-1.el5, globus-callout-2.2-1.el5, globus-common-14.6-1.el5, globus-core-8.8-1.el5, globus-ftp-client-7.3-1.el5, globus-ftp-control-4.4-1.el5, globus-gass-cache-program-5.1-1.el5, globus-gass-copy-8.4-1.el5, globus-gass-server-ez-4.3-1.el5, globus-gass-transfer-7.2-1.el5, globus-gatekeeper-9.11-1.el5, globus-gfork-3.2-1.el5, globus-gram-client-12.4-1.el5, globus-gram-client-tools-10.3-1.el5, globus-gram-job-manager-13.33-1.el5, globus-gram-job-manager-condor-1.3-1.el5, globus-gram-protocol-11.3-1.el5, globus-gsi-callback-4.2-1.el5, globus-gsi-cert-utils-8.3-1.el5, globus-gsi-credential-5.3-1.el5, globus-gsi-proxy-core-6.2-1.el5, globus-gsi-sysconfig-5.2-1.el5, globus-gssapi-gsi-10.6-1.el5, globus-gss-assist-8.5-1.el5, globus-io-9.3-1.el5, globus-openssl-module-3.2-1.el5, globus-scheduler-event-generator-4.6-1.el5, globus-xio-3.3-1.el5, globus-xio-gsi-driver-2.3-1.el5, globus-xioperf-3.1-1.el5, globus-xio-pipe-driver-2.2-1.el5, globus-xio-popen-driver-2.3-1.el5, grid-packaging-tools-3.6.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-06-30 21:32:57 EDT
globus-authz-2.2-1.el6, globus-authz-callout-error-2.2-1.el6, globus-callout-2.2-1.el6, globus-common-14.6-1.el6, globus-core-8.8-1.el6, globus-ftp-client-7.3-1.el6, globus-ftp-control-4.4-1.el6, globus-gass-cache-program-5.1-1.el6, globus-gass-copy-8.4-1.el6, globus-gass-server-ez-4.3-1.el6, globus-gass-transfer-7.2-1.el6, globus-gatekeeper-9.11-1.el6, globus-gfork-3.2-1.el6, globus-gram-client-12.4-1.el6, globus-gram-client-tools-10.3-1.el6, globus-gram-job-manager-13.33-1.el6, globus-gram-job-manager-condor-1.3-1.el6, globus-gram-protocol-11.3-1.el6, globus-gsi-callback-4.2-1.el6, globus-gsi-cert-utils-8.3-1.el6, globus-gsi-credential-5.3-1.el6, globus-gsi-proxy-core-6.2-1.el6, globus-gsi-sysconfig-5.2-1.el6, globus-gssapi-gsi-10.6-1.el6, globus-gss-assist-8.5-1.el6, globus-io-9.3-1.el6, globus-openssl-module-3.2-1.el6, globus-scheduler-event-generator-4.6-1.el6, globus-xio-3.3-1.el6, globus-xio-gsi-driver-2.3-1.el6, globus-xioperf-3.1-1.el6, globus-xio-pipe-driver-2.2-1.el6, globus-xio-popen-driver-2.3-1.el6, grid-packaging-tools-3.6.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.